package com.dxhy.core.job.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.SysDept;
import com.dxhy.core.job.entity.TDxViolationTaxno;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxViolationTaxnoDao extends BaseMapper<TDxViolationTaxno> {
    List<SysDept> selectCompanyByViolationStatus();

    List<String> selectTaxnoByCompany(@Param("company") String company);

    List<TDxViolationTaxno> selectViolationTaxno(@Param("company") String company,
        @Param("createDate") String createDate, @Param("gfshList") List<String> gfshList);

    void deleteTaxno(@Param("company") String company);

    List<TDxViolationTaxno> selectViolationTaxnoByXf();
}
